// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_VariableSet.h"
#include "SCW_UK2Node_Variable.h"

class UK2Node_VariableSet;

namespace Sourcify
{
	class SCW_UK2Node_VariableSet : public SCW_UK2Node_Variable, public virtual ISCW_UK2Node_VariableSet
	{
	public:
		SCW_UK2Node_VariableSet(UK2Node_VariableSet* InK2Node_VariableSet);

		UK2Node_VariableSet* ToUK2Node_VariableSet() const;

		ISCW_UK2Node_VariableSetPtr ToUK2Node_VariableSetPtr() override;
		ISCW_UK2Node_VariableSetConstPtr ToUK2Node_VariableSetPtr() const override;

	protected:
		UK2Node_VariableSet* K2Node_VariableSet;
	};
} // namespace Sourcify